# Fetch List of Orchestration Processes

Endpoint: GET /rmg/api/orchestration/process/summary
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

  - `searchTerm` (string)
    Optional search string to filter releases by name.

  - `page` (integer)

  - `size` (integer)

  - `sort` (array)
    Sort parameters as an array. Format: [field_name, direction] where direction is asc or desc.
Supported fields: start_ts, startTs, end_ts, endTs, last_updated_at, lastUpdatedAt, created_at, createdAt, name, identifier, status, type.
When used in query params, use format: sort=field_name&sort=direction (e.g., sort=start_ts&sort=desc).

## Response 200 fields (application/json):

  - `content` (array, required)

  - `content.identifier` (string, required)

  - `content.name` (string, required)

  - `content.description` (string)

  - `content.createdAt` (integer, required)
    Created timestamp in milliseconds

  - `content.lastUpdatedAt` (integer, required)

  - `content.lastUpdatedBy` (object, required)

  - `content.lastUpdatedBy.name` (string)

  - `content.lastUpdatedBy.identifier` (string, required)

  - `content.lastUpdatedBy.email` (string)

  - `content.createdBy` (object, required)
    Details of the user who created the event

  - `content.createdBy.name` (string, required)
    Name of the user who created the event

  - `content.createdBy.email` (string, required)
    Email of the user who created the event

  - `content.createdBy.identifier` (string)
    Identifier of the user who created the event

  - `content.attachedReleaseGroupCount` (integer, required)
    Number of releases attached to the process

  - `pageable` (object, required)

  - `pageable.pageNumber` (integer)

  - `pageable.pageSize` (integer)

  - `pageable.sort` (object)

  - `pageable.sort.empty` (boolean)

  - `pageable.sort.sorted` (boolean)

  - `pageable.sort.unsorted` (boolean)

  - `pageable.offset` (integer)

  - `pageable.paged` (boolean)

  - `pageable.unpaged` (boolean)

  - `totalPages` (integer, required)

  - `last` (boolean, required)

  - `totalElements` (integer, required)

  - `size` (integer, required)

  - `number` (integer, required)

  - `sort` (object, required)

  - `numberOfElements` (integer, required)

  - `first` (boolean, required)

  - `empty` (boolean, required)

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


